Skip to main content
GET
/
sessions
/
get
/
{sessionId}
Get Session
curl --request GET \
  --url https://api.series.hr/sessions/get/{sessionId} \
  --header 'apikey: <api-key>'
Retrieve detailed information about a specific session. For Premium/Enterprise workspaces, the response includes CustomRoles if the session has any.

Request

curl -X GET https://api.series.hr/sessions/get/session_abc123 \
  -H "apikey: YOUR_API_KEY"

Parameters

sessionId
string
required
The session ID to retrieve

Response

200
{
  "success": true,
  "data": {
    "SessionId": "session_1234567890_abc12345678",
    "WorkspaceId": "workspace_abc123",
    "Title": "Training Session",
    "Host": "714760171",
    "CoHost": "123456789",
    "Supervisor": "987654321",
    "Scheduled": "2024-01-20T15:00:00.000Z",
    "Delayed": false,
    "Status": "upcoming",
    "Claimable": true,
    "Duration": 60,
    "MinHostRank": 50,
    "CustomRoles": {
      "Trainer": {
        "MinRank": 25,
        "Permissions": {
          "ChangeSessionStatus": false,
          "PassOrFailAttendees": true,
          "ModifyAttendance": true
        },
        "Slots": {
          "714760171": { "Attended": false },
          "VACANT_1": { "Attended": false }
        }
      }
    }
  }
}
The CustomRoles field is only included for Premium/Enterprise workspaces that have custom roles configured on the session.

Authorizations

apikey
string
header
required

Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.

Path Parameters

sessionId
string
required

Response

200

Session details